# RJ VentaBoletosAdm

## Índice

* [Configuração Inicial](#configuracao-inicial)
* [Processo de desenvolvimento](#processo-de-desenvolvimento)



## Configuração Inicial

* clonar repositórios
```
git clone http://18.235.188.113:3000/rjconsultores/ventaBoletosAdm.git
git clone http://18.235.188.113:3000/rjconsultores/Auditador.git
git clone http://18.235.188.113:3000/rjconsultores/generadorBoletosCNAB.git
git clone http://18.235.188.113:3000/rjconsultores/integracaoReceitaDespesa.git
git clone http://18.235.188.113:3000/rjconsultores/modelWeb.git
```

ou usar o `clone.sh`

****

## Processo de desenvolvimento

### Serviço

Passos a seguir

* realizar clone do serviço `git clone <url>`
* gerar uma branch baseado no caso a ser desenvolvido `git checkout -b <nome_branch>`
* realizar o envio da branch para o gitea `git push --set-upstream origin <nome_branch>`
* modificar a versão do pom baseado na regra: primeiro dígito grande melhoria, segundo dígito melhoria/adição de arquivos novos e terceiro dígito correção de bug
* subir as modificações `git add . && git commit -m "descrição" && git push`
* realizar o pull request diretamente no gitea
* após OK da revisão realizar o merge para a master
* gerar a versão no gitea idêntica a versão gerada no pom
*  * atenção: para versão intermediária, adicionar a sigla RC + sequencial na versão (exemplo: 1.0.0-RC1)
* após gerar a versão deve ser executado no terminal os seguinte comandos para gerar o changelog `git checkout master && git pull && git log --oneline <versão anterior>...<versão gerada> --no-merges --format=format:"- **%s**%n  - %h - Autor: %aE - Data: %ci %n#"`
* adicionar o conteúdo gerado na descrição da versão

***